# $Id: cpu.spec,v 1.1 2016/02/04 12:17:43 vip-ire Exp $

Summary: Pluggable utility to administer authentication data
Name: cpu
Version: 1.4.3
Release: 14%{?dist}
License: GPL
Group: System Environment/Base
Source: cpu-1.4.3.tar.bz2
Patch0: cpu-1.4.3-doc_install.patch
Patch1: cpu-1.4.3-rhel5.patch
Patch2: cpu-1.4.3-md5crypt.patch
Patch3: cpu-1.4.3-read.patch
Patch4: cpu-1.4.3-fix-cn.patch
Patch5: cpu-1.4.3-empty-attr.patch
Patch6: cpu-1.4.3-mod-delete.patch
Patch7: cpu-1.4.3-supp-groups.patch
Patch8: cpu-1.4.3-gid-not-supp.patch
Patch9: cpu-1.4.3-rhel6.patch
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
BuildRequires: openldap-devel

%description
CPU is a utility consisting of a set of plugins that allow an administrator to
administer a wide range of different authentication backends. Current plugins
include support for LDAP and a partially completed flat file plugin.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
CFLAGS="%{?cflags:%{cflags}}%{!?cflags:$RPM_OPT_FLAGS}"
CXXFLAGS="%{?cxxflags:%{cxxflags}}%{!?cflags:$RPM_OPT_FLAGS}"
export CFLAGS CXXFLAGS

%configure %{?acflags}
%{__make} %{?mflags}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}
rm $RPM_BUILD_ROOT/usr/share/cpu.conf.doc
rm $RPM_BUILD_ROOT/usr/share/test.ldif

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README INSTALL COPYING TODO AUTHORS NEWS ChangeLog doc
%config %attr(0600, root,root) /etc/cpu.conf
%{_libdir}/*
/usr/sbin/cpu
%doc /usr/share/man/man5/*
%doc /usr/share/man/man8/*

%changelog
* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Feb 1 2013 Shad L. Lords <slords@mail.com> 1.4.3-14.sme
- Param fix so build on rhel6 works [SME: 7271]

* Sun Nov 7 2010 Shad L. Lords <slords@mail.com> 1.4.3-13.sme
- user gid shouldn't be part of supplemental groups [SME: 6353]

* Sun Nov 7 2010 Shad L. Lords <slords@mail.com> 1.4.3-12.sme
- Retrieve supplimential groups if not specified [SME: 6347]
- Fix memory leak introduced in revision 9 [SME: 6342]

* Sun Nov 7 2010 Shad L. Lords <slords@mail.com> 1.4.3-11.sme
- Treat null attribs in extra file like empty string [SME: 6342]

* Sat Nov 6 2010 Shad L. Lords <slords@mail.com> 1.4.3-10.sme
- Object might not exist yet which isn't an error [SME: 6342]

* Fri Nov 5 2010 Shad L. Lords <slords@mail.com> 1.4.3-9.sme
- Check for attribute before deleting [SME: 6342]

* Fri Nov 5 2010 Shad L. Lords <slords@mail.com> 1.4.3-8.sme
- If empty value is passed in assume that means delete [SME: 6342]

* Fri Nov 5 2010 Shad L. Lords <slords@mail.com> 1.4.3-7.sme
- Ignore attributes that have empty attr [SME: 6341]

* Fri Nov 5 2010 Shad L. Lords <slords@mail.com> 1.4.3-6.sme
- Use gecos for cn if available, also modify cn if possible [SME: 6338]

* Fri Aug 03 2007 Charlie Brady <charlie_brady@mitel.com> 1.4.3-5.sme
- Read LDIF files until eof, rather than use stat size. Allows
  read from, e.g. /dev/stdin.

* Fri Aug 03 2007 Charlie Brady <charlie_brady@mitel.com> 1.4.3-4.sme
- Add md5crypt support (from sourceforge).

* Tue Jul 24 2007 Charlie Brady <charlie_brady@mitel.com> 1.4.3-3.sme
- Portability fixes to allow building on RHEL5/CentOS5.

* Wed Sep 27 2006 Charlie Brady <charlie_brady@mitel.com> 1.4.3-2.sme
- Update file list, and remove world read from cpu.conf.

* Tue Sep 26 2006 Charlie Brady <charlieb@e-smith.com>
- Initial

